Skip to main content
GET
Get balance for a specific token

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

walletAddress
string
required

Stellar address - wallet (G-prefixed) or contract (C-prefixed)

Example:

"GALAXYVOIDAOPZTDLHILAJQKCVVFMD4IKLXLSZV5YHO7VY74IWZILUTO"

tokenAddress
string
required

Token address - either contract ID (C...) or CODE:ISSUER format

Example:

"CAS3J7GYLGXMF6TDJBBYYSE3HQ6BBSMLNUQ34T6TZMYMW2EVH34XOWMA"

Query Parameters

network
enum<string>
required

Network to query balance on

Available options:
mainnet,
testnet

Response

Returns the token balance. If token is not in asset list, code will be null and decimals defaults to 7

wallet
string
required

Wallet address

Example:

"GDMTVHLWJTHSUDMZVVMXXH6VJHA2ZV3HNG5LYNAZ6RTWB7GISM6PGTUV"

network
string
required

Network

Example:

"mainnet"

balance
object
required

Token balance information

updatedAt
number
required

Timestamp when balance was fetched (ms since epoch)

Example:

1702483200000